Debian GNU/Linux

Change log for “4store” package in Debian

15 of 5 results
Deleted in jessie-release (Reason: None provided.)
Published in wheezy-release on 2012-03-28
Published in sid-release on 2012-03-17
4store (1.1.4-2) unstable; urgency=low


  * Add patches 1002-1005 to fix building for the Hurd.
    Thanks to Cyril Roelandt.
  * Bump standards-version to 3.9.3.
  * Use anonscm.debian.org URL in Vcs-Browser field.
  * Update copyright file:
    + Bump format to 1.0.
    + Fix double-indent in Copyright fields as per Policy §5.6.13.
  * Simplify arguments to dh_install (unneeded with debhelper 7).

 -- Jonas Smedegaard <email address hidden>  Sat, 17 Mar 2012 11:39:41 +0100

Available diffs

Superseded in wheezy-release on 2012-03-28
Superseded in sid-release on 2012-03-18
4store (1.1.4-1) unstable; urgency=low


  * New upstream release.
  * Update copyright file:
    + Fix list separate License sections for each actual license (not
      Perl combo as single section).
    + Fix PD syntax.
    + Fix missing vertical space between License sections.
    + Sort License sections by (approximate) similarity of main license.
    + Quote license names in comments, and shorten comments.
    + List mt19937-64 library, licensed as BSD-3-clause.
    + Use ~ (not ^) as delimiter for derived License shortnames.
  * Add patch 2002 to use system shared stemmer library.
  * Drop patches 1001 (manpage syntax errors) and 2001 (avoid git
    version-resolving): Adopted upstream.
  * Add Vcs-* fields to control file.
  * Extend copyright years for debian packaging.
  * Bump debhelper compat level to 7.
  * Relax build-depend unversioned on debhelper (needed version
    satisfied even in oldstable).
  * Avoid installing *.la files.
    Tighten build-dependency on d-shlibs.
    Closes: bug#633170. Thanks to Neal Williams.

 -- Jonas Smedegaard <email address hidden>  Sun, 22 Jan 2012 18:38:40 +0100
Superseded in wheezy-release on 2012-02-02
Superseded in sid-release on 2012-01-26
4store (1.1.3-1) unstable; urgency=low
  * New upstream release.  * Update copyright file:    + Fix add Upstream-Contact.    + Minor adjustments to Files sections regarding GNU tools.  * Build-depend on autotools-dev.  * Fix grammatic error in long description.    Closes: bug#625283. Thanks to Tollef Fog Heen.  * Rewrap long description at 72 chars, and strip trailing spaces.  * Ease building with git-buildpackage:    + Add dpkg local-options hint.    + Git-ignore .pc dir.  * Add patch 2001 to avoid using git to resolve upstream release    version.  * Revert "Pass ldflag -Wl,--as-needed to avoid excess linking.": Fails    with this new v1.1.3 release.  * Add patch 1001 to fix a few syntax errors in manpages.  * Introduce new binary packages lib4store0 and lib4store-dev.    Build-depend on d-shlibs.  * Put aside a few upstream-shipped temp files during build. -- Jonas Smedegaard <email address hidden>  Sun, 08 May 2011 00:22:44 +0200
Superseded in wheezy-release on 2011-09-21
Superseded in sid-release on 2011-09-20
4store (1.1.2-2) unstable; urgency=low
  * Add git-buildpackage config: Enable pristine-tar and signed tags.  * Recommend avahi-daemon, and slightly relax dependency on avahi in    sysv script.    Closes: bug#622743. Thanks to Holger Levsen.  * Bump policy compliance to standards-version 3.9.2.  * Bump copyright file format to draft 174 of DEP-5. -- Jonas Smedegaard <email address hidden>  Thu, 14 Apr 2011 13:14:50 +0200
Superseded in sid-release on 2011-09-20
4store (1.1.2-1) unstable; urgency=low
  * Initial official packaging release.    Closes: #558137.  * New upstream release.  * Tighten build-dependencies on librasqal and libraptor.  * Update copyright file: Add copyright holder. -- Jonas Smedegaard <email address hidden>  Tue, 08 Mar 2011 03:12:45 +0100
15 of 5 results